unit FOptions;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LemApp, StdCtrls, ComCtrls,
  UMisc;

type
  TFormOptions = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    CbClearSelectionOnAirClick: TCheckBox;
    GroupBoxKeys: TGroupBox;
    EditDefaultDistance: TEdit;
    Label1: TLabel;
    EditShiftDistance: TEdit;
    Label2: TLabel;
    procedure CbClearSelectionOnAirClickClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ExecuteFormOptions: Word;


implementation

{$R *.dfm}

function ExecuteFormOptions: Word;
var
  F: TFormOptions;
begin
  F := TFormOptions.Create(nil);
  try
    Result := F.ShowModal;
  finally
    F.Free;
  end;
end;

procedure TFormOptions.CbClearSelectionOnAirClickClick(Sender: TObject);
begin
  App.EditorSettings.ClearSelectionOnAirClick := CbClearSelectionOnAirClick.Checked;
end;

procedure TFormOptions.FormCreate(Sender: TObject);
begin
  CbClearSelectionOnAirClick.Checked := App.EditorSettings.ClearSelectionOnAirClick;
  //EditDefaultDistance.Text := i2s(App.EditorSettings.DefaultArrowKeysDistance)
end;

end.

