{$include lem_directives.inc}

unit LemDosScreenLevelCode;

interface

uses
  Classes, SysUtils,
  Gr32, Gr32_Image,
  UMisc,
  LemCore, LemGame, LemDosFiles, LemDosStyles, LemControls,
  LemDosScreen;

type
  TDosScreenLevelCode = class(TBaseDosScreenImage)
  private
  protected
  public
    constructor Create(aOwner: TComponent); override;
    destructor Destroy; override;
    procedure BuildBitmap;
  published
  end;

implementation

{ TDosScreenLevelCode }

procedure TDosScreenLevelCode.BuildBitmap;
var
  Temp, W: TBitmap32;
  DstRect: TRect;
begin
//  fGame := aGame;
//  fSection := aSection;
//  fLevelNumber := aLevelNumber;

  Temp := TBitmap32.Create;
  try
    Temp.SetSize(640, 350);
    Temp.Clear(0);
    // draw background
    TileBackgroundBitmap(Temp, 0, 0);
    // draw text
    DrawPurpleText(Temp, '..........', 0, 160);
    //Temp.SaveToFile(apppath + 'testscreen.bmp');
    Bitmap.Assign(Temp);
  finally
    Temp.Free;
  end;
end;

constructor TDosScreenLevelCode.Create(aOwner: TComponent);
begin
  inherited Create(aOwner);
  Visible := False;
  Width := 640;
  Height := 350;
end;

destructor TDosScreenLevelCode.Destroy;
begin

  inherited;
end;

end.

